Subject: Re: [bug#35736] geiser-edit-symbol-at-point (M-.) does not work on fork+exec-command

From: Ludovic Courtès <[email-masked]>
Date: Thu, 16 May 2019 11:53:40 +0200

Arun Isaac <[email-masked]> skribis:

>> What about proposing this change to ‘scheme-mode’ to Emacs upstream?
>>
>> Alternately, or in the meantime, we could carry that fix in Geiser
>> maybe?
>
> I don't think reporting this to scheme-mode or geiser would help. They
> are justified in classifying ?+ as a symbol constituent character
> (_). It is we (the Guix project) who have reclassified ?+ as an
> expression prefix character (') in a "non-standard" way for our use in
> gexps. WDYT?

Oh true, sorry!

Well I don’t know, I’m confused now.  I vaguely remember prior
discussions about this with Alex Kost, but I forgot what the conclusions
were.  :-/

Ludo’.